Jul 142009
 

WordPress have released a bug-fix update to WordPress which fixes many bugs and tightens up security which was allowing certain plug-ins to leak information to unprivaleged users. Not all plugins were affected, but it is recommended that all WordPress users upgrade at their earliest opportunity.

There are reports that the dashboard in the new version is much faster than in 2.8.0, but I haven’t noticed a huge difference. I used the automatic upgrade path without any problem – all my plugins worked fine after the upgrade and the theme is unchanged.

Jul 072009
 

A quick note on amending the template files for the WordPress ‘Now Reading‘ plug-in to work with the LightWord theme. (Tested on version 2.8 only)

As per Rob’s excellent documentation, the problem is in the following section of the default Now Reading templates:
<div class="content">
<div id="content" class="narrowcolumn primary now-reading">
<div class="post">

I followed his instructions and the problem was solved easily:

  1. Create a now-reading directory in your Lightword theme directory and copy the default templates into the new folder (\wp-content\themes\LightWord\now-reading\)
  2. Edit  author.php, library.php, search.php, single.php and tag.php (sidebar.php already works) as follows:

Once in each file, in the first few lines, change:

<div id="content" class="now-reading primary narrowcolumn">

To read:

<div id="content-body" class="now-reading primary narrowcolumn">

That’s all there is to it. Hopefully this will be of use to someone – if it is, leave me a comment to let me know!